<?php
include 'connect.php';
require_once 'vendor/autoload.php';
ini_set('max_execution_time', 120); //120 seconds = 2 min

function sendMail($conn,$email,$code,$fullname,$sendgridKey){

    $selEmailBody="SELECT html_contents, subject FROM admin_emails_templates WHERE name='Verification Code'";
    $emlRslt=mysqli_query($conn,$selEmailBody) or die(mysqli_error($conn));
    $rowEml=mysqli_fetch_array($emlRslt); 
    $subject=$rowEml['subject'];
    $emailBody=$rowEml['html_contents'];
    
    $emailBody=str_replace('[email]',$email,$emailBody);
    $emailBody=str_replace('[code]',$code,$emailBody);
    
    $mail = new \SendGrid\Mail\Mail(); 
    $mail->setFrom('support@ngrealtymls.com', 'Ng Realty MLS');
    $mail->setSubject($subject);
    $mail->addTo($email, $fullname); 
    $mail->addContent("text/plain", 'You need to view this email in an HTML enabled browser.');
    $mail->addContent("text/html", $emailBody);  
    $sendgrid = new \SendGrid($sendgridKey);
 
    try {  
    $response = $sendgrid->send($mail);
    $code = $response->statusCode();
    
    if($code=='202'){ /** mail sent **/       
    $restlArray=array('data'=>'Done'); 
    }else{
    /** insert into system reports notification **/ 
    /** keep emails in queue until problem is rectified **/ 
    $error=$response->body(); 
    $errors=json_decode($error);   
    $message=$errors->errors[0]->message;
    //$restlArray=array('data'=>"Error sending email: ".$message);     
    $restlArray=array('data'=>'Done'); /** success anyway no account verification **/  
    }    
    
    }catch (\Exception $e) { 
    /** insert into system reports notification **/ 
    /** keep emails in queue until problem is rectified **/  
    $message = $e->getMessage(); 
    //$restlArray=array('data'=>"Error sending email: ".$message);  
    $restlArray=array('data'=>'Done'); /** success anyway no account verification **/  
    } 
    
    echo json_encode($restlArray);
}


if(isset($_POST['email']) && isset($_POST['fullname'])){  
    $email=$_POST['email'];
    $fullname=$_POST['fullname'];
    
    $delCode="DELETE FROM verification_code WHERE email='".$email."'";
    $delRslt=mysqli_query($conn,$delCode) or die(mysqli_error($conn)); 
    
    if($delRslt){
    $code = mt_rand(100000,999999); 
    $addCode="INSERT INTO verification_code(email, code) VALUES('".$email."', '".$code."')";
    $addRslt=mysqli_query($conn,$addCode) or die(mysqli_error($conn)); 
    
    $selSettings="SELECT sendgridKey FROM system_settings WHERE settings_id!='' order by settings_id ASC LIMIT 1";
    $settRslt=mysqli_query($conn,$selSettings) or die(mysqli_error($conn));
    $rowSet=mysqli_fetch_array($settRslt); 
    $sendgridKey=$rowSet['sendgridKey'];
    
    if($addRslt){
    sendMail($conn,$email,$code,$fullname,$sendgridKey);
    }else{
    $restlArray=array('data'=>"<b>Error:</b> setup not completed."); 
    echo json_encode($restlArray);
    } 
    
    }else{
    $restlArray=array('data'=>'<b>Error:</b> execution error'); 
    echo json_encode($restlArray);     
    }
    
}else{
    $restlArray=array('data'=>'Error receiving all required data'); 
    echo json_encode($restlArray); 
}
?>